Переполнение буфера в PECL Alternative PHP Cache

Дата публикации:
26.03.2008
Дата изменения:
26.03.2008
Всего просмотров:
1131
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PECL Alternative PHP Cache (APC) Extension 3.x
Уязвимые версии: PECL Alternative PHP Cache (APC) Extension 3.0.16, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности, вызвать отказ в обслуживании и скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в функции "apc_search_paths" в файле apc.c. Удаленный пользователь может с помощью слишком длинного имени файла, передаваемого функции "include()" вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: pecl.php.net/package/APC

Решение: Установите последнюю версию 3.0.17 с сайта производителя.

или введите имя

CAPTCHA